#!/usr/bin/haserl
Content-Type: text/html;charset=UTF-8
Pragma: no-cache
Cache-Control: no-cache

<? eval `squark-auth-ip -i $REMOTE_ADDR -p` ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
  <head>
    <title>Internet User Authentication Required</title>
    <link rel="stylesheet" type="text/css" href="/static/style.css" />
  </head>
  <body>
    <? squark-auth-ip -i $REMOTE_ADDR -r ?>
    <div><img id="warning" src="/static/warning.png" alt="Warning sign" /></div>
    <div id="outer_container">
    <div id="inner_container">
      <h1>Login Information</h1>
      <p>
        You are now logged in. You may wish to keep this page open in order to remain
        logged in. Click the logout button below when you are finished.
      </p>
      <p>
        Your Session Information:
      </p>
      <p>
      <table>
        <tr><td>IP-address:</td><td><? echo -n "$REMOTE_ADDR" ?></td></tr>
        <tr><td>Username:</td><td><? echo -n "$squark_username" ?></td></tr>
        <tr><td>Login time:</td><td><? echo -n "$squark_login_time" ?></td></tr>
        <tr><td>Last Activity:</td><td><? echo -n "$squark_activity_time" ?></td></tr>
        <tr><td>Last Override:</td><td><? echo -n "$squark_override_time" ?></td></tr>
      </table>
      </p>
      <p>
        <form action="do-logout.cgi" method="post">
          <input type="submit" value="Logout" /><td/>
        </form>
      </p>
    </div>
    </div>
  </body>
</html>

